KDE 4.7 PyKDE API Reference

- KDE's Python API

# AbstractView Class Reference

`from PyKDE4.khtml import *`

Namespace: DOM

## Detailed Description

Introduced in DOM Level 2

A base interface that all views shall derive from.

## Methods
| __init__ (self)
| __init__ (self, DOM.AbstractView other)
DOM.Document | document (self)
DOM.CSSStyleDeclaration | getComputedStyle (self, DOM.Element elt, DOM.DOMString pseudoElt)
bool | isNull (self)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | DOM.AbstractView | other
| ) |  |  |

DOM.Document document | ( |  | self ) |

The source DocumentView of which this is an AbstractView.

DOM.CSSStyleDeclaration getComputedStyle | ( | self, |
|  | DOM.Element | elt,
|  | DOM.DOMString | pseudoElt
| ) |  |  |

Introduced in DOM Level 2 This method is from the ViewCSS interface

This method is used to get the computed style as it is defined in [CSS2].

Parameters:

  | elt | The element whose style is to be computed. This parameter cannot be null.
  | pseudoElt | The pseudo-element or null if none.

Returns:
  The computed style. The CSSStyleDeclaration is read-only and contains only absolute values.

bool isNull | ( |  | self ) |